From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-sensors-plugin/
Date: Wed, 25 Dec 2024 08:30:59 +0000 (UTC) [thread overview]
Message-ID: <1735115331.51b6d12fd264949ba8e1bb459b793dfcf16d38b2.mgorny@gentoo> (raw)
commit: 51b6d12fd264949ba8e1bb459b793dfcf16d38b2
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 25 08:28:51 2024 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Dec 25 08:28:51 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51b6d12f
xfce-extra/xfce4-sensors-plugin: Bump to 1.4.5
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
| 1 +
.../xfce4-sensors-plugin-1.4.5.ebuild | 72 ++++++++++++++++++++++
2 files changed, 73 insertions(+)
--git a/xfce-extra/xfce4-sensors-plugin/Manifest b/xfce-extra/xfce4-sensors-plugin/Manifest
index 8c1d3be3d708..f53c808a4077 100644
--- a/xfce-extra/xfce4-sensors-plugin/Manifest
+++ b/xfce-extra/xfce4-sensors-plugin/Manifest
@@ -1 +1,2 @@
DIST xfce4-sensors-plugin-1.4.4.tar.bz2 472187 BLAKE2B ab59dea6dd2252c23ee7a74567c16ab040152bbe0012349078d306dcad2c699d6e55b32f7d084c6cdf26f51ff324bcac817ea6f01e3957c74cd7799bddd0a147 SHA512 45a5df383cc950f05f33d3d658b4847890e4136d6c72708a4218f1460a27d44a07a3f726d6c509bc706b963041a5dab3259dd94127636fb196d47ab9a0d6f702
+DIST xfce4-sensors-plugin-1.4.5.tar.bz2 633276 BLAKE2B 3c916d57a013c3a0e1b0952180b8d70a1c1f0e1727531addddd63032a9dc6a8cc5c4a333dde040412badf565c1470bb84a5564e232ef2f4a78c0d37039bd1c81 SHA512 f47007e1673b0309865a786240b64b4f1392e94035dc524beb09196d3309fd9a5b49fd3c2b5532a0b3c514b85f6345ec127c01f85ade170ae26ed2bbbe3fa299
diff --git a/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.4.5.ebuild b/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.4.5.ebuild
new file mode 100644
index 000000000000..7166682befbd
--- /dev/null
+++ b/xfce-extra/xfce4-sensors-plugin/xfce4-sensors-plugin-1.4.5.ebuild
@@ -0,0 +1,72 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit xdg-utils
+
+DESCRIPTION="A panel plug-in for acpi, lm-sensors and hddtemp sensors"
+HOMEPAGE="
+ https://docs.xfce.org/panel-plugins/xfce4-sensors-plugin/start
+ https://gitlab.xfce.org/panel-plugins/xfce4-sensors-plugin/
+"
+SRC_URI="https://archive.xfce.org/src/panel-plugins/${PN}/${PV%.*}/${P}.tar.bz2"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~riscv ~x86"
+IUSE="+acpi hddtemp libnotify lm-sensors video_cards_nvidia"
+REQUIRED_USE="|| ( hddtemp lm-sensors acpi )"
+
+DEPEND="
+ >=x11-libs/gtk+-3.22.0:3
+ >=xfce-base/libxfce4ui-4.16.0:=
+ >=xfce-base/libxfce4util-4.17.2:=
+ >=xfce-base/xfce4-panel-4.16.0:=
+ hddtemp? (
+ app-admin/hddtemp
+ || (
+ net-analyzer/openbsd-netcat
+ net-analyzer/netcat
+ )
+ )
+ libnotify? ( >=x11-libs/libnotify-0.7:= )
+ lm-sensors? ( >=sys-apps/lm-sensors-3.1.0:= )
+ video_cards_nvidia? ( x11-drivers/nvidia-drivers[tools,static-libs] )
+"
+RDEPEND="
+ ${DEPEND}
+"
+BDEPEND="
+ >=sys-devel/gettext-0.19.8
+ virtual/pkgconfig
+"
+
+src_configure() {
+ local myconf=(
+ --libexecdir="${EPREFIX}"/usr/$(get_libdir)
+ $(use_enable lm-sensors libsensors)
+ $(use_enable hddtemp)
+ $(use_enable hddtemp netcat)
+ $(use_enable acpi procacpi)
+ $(use_enable acpi sysfsacpi)
+ $(use_enable video_cards_nvidia xnvctrl)
+ $(use_enable libnotify notification)
+ --disable-pathchecks
+ )
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ default
+ find "${D}" -name '*.la' -delete || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2024-12-25 8:31 UTC|newest]
Thread overview: 52+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-12-25 8:30 Michał Górny [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-18 7:31 [gentoo-commits] repo/gentoo:master commit in: xfce-extra/xfce4-sensors-plugin/ Michał Górny
2025-03-18 0:55 Sam James
2025-03-18 0:55 Sam James
2024-04-12 6:26 Arthur Zamarin
2024-04-12 6:26 Arthur Zamarin
2023-03-17 10:57 Michał Górny
2023-03-17 8:56 Arthur Zamarin
2023-02-03 16:53 Sam James
2022-11-03 14:50 Michał Górny
2022-06-19 13:36 Yixun Lan
2022-03-25 9:19 Michał Górny
2022-03-25 7:49 Agostino Sarubbo
2022-03-24 19:03 Jakov Smolić
2022-02-02 7:13 Michał Górny
2021-12-20 13:18 Michał Górny
2021-12-20 12:10 Agostino Sarubbo
2021-12-19 22:06 Agostino Sarubbo
2021-11-15 22:36 Michał Górny
2021-08-30 5:57 Michał Górny
2021-08-30 1:23 Sam James
2021-08-30 1:23 Sam James
2021-07-26 20:57 Michał Górny
2021-04-11 11:23 Michał Górny
2021-04-11 11:11 Sam James
2021-04-11 11:06 Sam James
2021-01-18 20:29 Michał Górny
2020-12-28 16:15 Michał Górny
2020-11-16 0:20 Michał Górny
2019-12-26 12:56 Georgy Yakovlev
2019-11-03 14:01 Michał Górny
2019-09-12 14:28 Michał Górny
2019-04-13 18:40 Michał Górny
2019-04-07 8:29 Michał Górny
2019-01-16 8:30 Michał Górny
2018-11-15 17:04 Thomas Deutschmann
2018-11-12 14:10 Mikle Kolyada
2018-11-11 19:07 Michał Górny
2018-10-27 12:30 Michał Górny
2018-10-13 10:07 Mikle Kolyada
2018-07-10 12:29 Michał Górny
2018-05-11 11:51 Michał Górny
2018-05-11 11:51 Michał Górny
2018-05-11 11:51 Michał Górny
2018-05-11 11:50 Michał Górny
2018-04-08 17:28 Aaron Bauman
2017-06-09 7:39 Michał Górny
2017-04-04 17:51 Michał Górny
2017-04-04 17:34 Michał Górny
2017-02-16 21:06 Michał Górny
2016-08-02 16:10 Michał Górny
2016-04-26 18:48 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1735115331.51b6d12fd264949ba8e1bb459b793dfcf16d38b2.mgorny@gentoo \
--to=mgorny@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox